| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
DisStreamAnalysisDialog Class Reference

A dialog for analyzing and interacting with DIS (Distributed Interactive Simulation) streams. More...

`#include <dis_stream_analysis_dialog.h>`

Inheritance diagram for DisStreamAnalysisDialog:

## Signals
void | goToPacket (int packet_num)
| Signal emitted to navigate the main UI to a specific packet number.

## Public Member Functions
void | selectStream (disstream_info_t *stream_info)
| Selects and loads a specific DIS stream for analysis.
| DisStreamAnalysisDialog (DisStreamAnalysisDialog &other)=delete
| Deleted copy constructor to enforce singleton pattern.
void | operator= (const DisStreamAnalysisDialog &)=delete
| Deleted assignment operator to enforce singleton pattern.
Public Member Functions inherited from WiresharkDialog
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
| Constructs a new WiresharkDialog object.
bool | fileClosed () const
| Checks if the capture file has been closed.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Static Public Member Functions
static DisStreamAnalysisDialog * | openDisStreamAnalysisDialog (QWidget &parent, CaptureFile &cf, QObject *packet_list)
| Opens or retrieves the singleton instance of the DisStreamAnalysisDialog.

## Protected Member Functions
| DisStreamAnalysisDialog (QWidget &parent, CaptureFile &cf, QObject *packet_list)
| Constructs a new DisStreamAnalysisDialog (protected for singleton usage).
| ~DisStreamAnalysisDialog ()
| Destroys the DisStreamAnalysisDialog.
void | captureFileClosing () override
| Slot triggered when the capture file begins closing.
void | captureFileClosed () override
| Slot triggered when the capture file is fully closed.
Protected Member Functions inherited from WiresharkDialog
virtual void | keyPressEvent (QKeyEvent *event) override
| Handles key press events.
virtual void | accept () override
| Accepts the dialog.
virtual void | reject () override
| Rejects the dialog.
virtual void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.
virtual void | endRetapPackets ()
| Mark the end of a code block that retaps packets. If the user has closed the dialog it will be destroyed at this point.
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.
const QString & | windowSubtitle ()
| Retrieves the current window subtitle.
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, unsigned flags, tap_reset_cb tap_reset, tap_packet_cb tap_packet, tap_draw_cb tap_draw)
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | listening () const
bool | dialogClosed () const
| Check to see if the user has closed (and not minimized) the dialog.
int | retapDepth () const
| Check to see if we're currently retapping. If this is positive, tapping will fail in process_specified_records.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Additional Inherited Members
Protected Slots inherited from WiresharkDialog
void | captureEvent (CaptureEvent e)
| Handles capture events.
Protected Attributes inherited from WiresharkDialog
CaptureFile & | cap_file_
| Reference to the underlying capture file.
bool | file_closed_
| Flag indicating if the capture file has been closed.

## Detailed Description

A dialog for analyzing and interacting with DIS (Distributed Interactive Simulation) streams.

## Constructor & Destructor Documentation

## ◆ DisStreamAnalysisDialog() [1/2]

DisStreamAnalysisDialog::DisStreamAnalysisDialog | ( | DisStreamAnalysisDialog & | other | ) |
| delete

Deleted copy constructor to enforce singleton pattern.

Parameters

  other | The object to copy from.

## ◆ DisStreamAnalysisDialog() [2/2]

DisStreamAnalysisDialog::DisStreamAnalysisDialog | ( | QWidget & | parent,
|  | CaptureFile & | cf,
|  | QObject * | packet_list )
| explicit protected

Constructs a new DisStreamAnalysisDialog (protected for singleton usage).

Parameters

  parent | The parent widget.
  cf | The capture file being analyzed.
  packet_list | A pointer to the application's packet list object.

## Member Function Documentation

## ◆ captureFileClosed()

void DisStreamAnalysisDialog::captureFileClosed | ( |  | ) |
| override protected virtual

Slot triggered when the capture file is fully closed.

Reimplemented from WiresharkDialog.

## ◆ captureFileClosing()

void DisStreamAnalysisDialog::captureFileClosing | ( |  | ) |
| override protected virtual

Slot triggered when the capture file begins closing.

Reimplemented from WiresharkDialog.

## ◆ goToPacket

void DisStreamAnalysisDialog::goToPacket | ( | int | packet_num | ) |
| signal

Signal emitted to navigate the main UI to a specific packet number.

Parameters

  packet_num | The packet number to jump to.

## ◆ openDisStreamAnalysisDialog()

DisStreamAnalysisDialog * DisStreamAnalysisDialog::openDisStreamAnalysisDialog | ( | QWidget & | parent,
|  | CaptureFile & | cf,
|  | QObject * | packet_list )
| static

Opens or retrieves the singleton instance of the DisStreamAnalysisDialog.

Parameters

  parent | The parent widget.
  cf | The capture file being analyzed.
  packet_list | A pointer to the application's packet list object.

Returns
  A pointer to the dialog instance.

## ◆ operator=()

void DisStreamAnalysisDialog::operator= | ( | const DisStreamAnalysisDialog & |  | ) |
| delete

Deleted assignment operator to enforce singleton pattern.

Parameters

  other | The object to assign from.

## ◆ selectStream()

void DisStreamAnalysisDialog::selectStream | ( | disstream_info_t * | stream_info | ) |

Selects and loads a specific DIS stream for analysis.

Parameters

  stream_info | Pointer to the DIS stream information structure.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/dis_stream_analysis_dialog.h
- /builds/wireshark/wireshark/ui/qt/dis_stream_analysis_dialog.cpp